com.smartgwt.client.types

## Enum OperatorId

- java.lang.Object
- - java.lang.Enum<OperatorId>
  - - com.smartgwt.client.types.OperatorId

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<OperatorId>

      public enum OperatorId
      extends java.lang.Enum<OperatorId>
      implements ValueEnum

  An operator is used as part of a `Criterion` when specifying `AdvancedCriteria`.

  This list of operators indicates the set of operators built into Smart GWT DataSources, which can be used for both client and server-side filtering. You can extend the list of operators with `DataSource.addSearchOperator`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND` all subcriteria (criterion.criteria) are true
    `BETWEEN` shortcut for "greaterThan" + "lessThan" + "and".
    `BETWEEN_INCLUSIVE` shortcut for "greaterOrEqual" + "lessOrEqual" + "and".
    `CONTAINS` Contains as sub-string (match case)
    `CONTAINS_FIELD` Contains as sub-string (match case) another field value (specify fieldName as criterion.value)
    `ENDS_WITH` Ends with (match case)
    `ENDS_WITH_FIELD` Ends with (match case) another field value (specify fieldName as criterion.value)
    `EQUALS` exactly equal to
    `EQUALS_FIELD` matches another field (match case, specify fieldName as criterion.value)
    `GREATER_OR_EQUAL` Greater than or equal to
    `GREATER_OR_EQUAL_FIELD` Greater than or equal to another field (specify fieldName as criterion.value)
    `GREATER_THAN` Greater than
    `GREATER_THAN_FIELD` Greater than another field (specify fieldName as criterion.value)
    `IBETWEEN_INCLUSIVE` shortcut for "greaterOrEqual" + "and" + "lessOrEqual" (case insensitive)
    `ICONTAINS` Contains as sub-string (case insensitive)
    `ICONTAINS_FIELD` Contains as sub-string (case insensitive) another field value (specify fieldName as criterion.value)
    `IENDS_WITH` Ends with (case insensitive)
    `IENDS_WITH_FIELD` Ends with (case insensitive) another field value (specify fieldName as criterion.value)
    `IEQUALS` exactly equal to, if case is disregarded
    `IEQUALS_FIELD` matches another field (case insensitive, specify fieldName as criterion.value)
    `IN_SET` value is in a set of values.
    `INOT_CONTAINS` Does not contain as sub-string (case insensitive)
    `INOT_CONTAINS_FIELD` Does not contain as sub-string (case insensitive) another field value (specify fieldName as criterion.value)
    `INOT_ENDS_WITH` Does not end with (case insensitive)
    `INOT_ENDS_WITH_FIELD` Does not end with (case insensitive) another field value (specify fieldName as criterion.value)
    `INOT_EQUAL` not equal to, if case is disregarded
    `INOT_EQUAL_FIELD` does not match another field (case insensitive, specify fieldName as criterion.value)
    `INOT_STARTS_WITH` Does not start with (case insensitive)
    `INOT_STARTS_WITH_FIELD` Does not start with (case insensitive) another field value (specify fieldName as criterion.value)
    `IREGEXP` Regular expression match (case insensitive)
    `IS_NULL` value is null
    `ISTARTS_WITH` Starts with (case insensitive)
    `ISTARTS_WITH_FIELD` Starts with (case insensitive) another field value (specify fieldName as criterion.value)
    `LESS_OR_EQUAL` Less than or equal to
    `LESS_OR_EQUAL_FIELD` Less than or equal to another field (specify fieldName as criterion.value)
    `LESS_THAN` Less than
    `LESS_THAN_FIELD` Less than another field (specify fieldName as criterion.value)
    `NOT` all subcriteria (criterion.criteria) are false
    `NOT_CONTAINS` Does not contain as sub-string (match case)
    `NOT_CONTAINS_FIELD` Does not contain as sub-string (match case) another field value (specify fieldName as criterion.value)
    `NOT_ENDS_WITH` Does not end with (match case)
    `NOT_ENDS_WITH_FIELD` Does not end with (match case) another field value (specify fieldName as criterion.value)
    `NOT_EQUAL` not equal to
    `NOT_EQUAL_FIELD` does not match another field (match case, specify fieldName as criterion.value)
    `NOT_IN_SET` value is not in a set of values.
    `NOT_NULL` value is non-null.
    `NOT_STARTS_WITH` Does not start with (match case)
    `NOT_STARTS_WITH_FIELD` Does not start with (match case) another field value (specify fieldName as criterion.value)
    `OR` at least one subcriteria (criterion.criteria) is true
    `REGEXP` Regular expression match
    `STARTS_WITH` Starts with (match case)
    `STARTS_WITH_FIELD` Starts with (match case) another field value (specify fieldName as criterion.value)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static OperatorId` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OperatorId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final OperatorId EQUALS

      exactly equal to

    - #### NOT_EQUAL

          public static final OperatorId NOT_EQUAL

      not equal to

    - #### IEQUALS

          public static final OperatorId IEQUALS

      exactly equal to, if case is disregarded

    - #### INOT_EQUAL

          public static final OperatorId INOT_EQUAL

      not equal to, if case is disregarded

    - #### GREATER_THAN

          public static final OperatorId GREATER_THAN

      Greater than

    - #### LESS_THAN

          public static final OperatorId LESS_THAN

      Less than

    - #### GREATER_OR_EQUAL

          public static final OperatorId GREATER_OR_EQUAL

      Greater than or equal to

    - #### LESS_OR_EQUAL

          public static final OperatorId LESS_OR_EQUAL

      Less than or equal to

    - #### CONTAINS

          public static final OperatorId CONTAINS

      Contains as sub-string (match case)

    - #### STARTS_WITH

          public static final OperatorId STARTS_WITH

      Starts with (match case)

    - #### ENDS_WITH

          public static final OperatorId ENDS_WITH

      Ends with (match case)

    - #### ICONTAINS

          public static final OperatorId ICONTAINS

      Contains as sub-string (case insensitive)

    - #### ISTARTS_WITH

          public static final OperatorId ISTARTS_WITH

      Starts with (case insensitive)

    - #### IENDS_WITH

          public static final OperatorId IENDS_WITH

      Ends with (case insensitive)

    - #### NOT_CONTAINS

          public static final OperatorId NOT_CONTAINS

      Does not contain as sub-string (match case)

    - #### NOT_STARTS_WITH

          public static final OperatorId NOT_STARTS_WITH

      Does not start with (match case)

    - #### NOT_ENDS_WITH

          public static final OperatorId NOT_ENDS_WITH

      Does not end with (match case)

    - #### INOT_CONTAINS

          public static final OperatorId INOT_CONTAINS

      Does not contain as sub-string (case insensitive)

    - #### INOT_STARTS_WITH

          public static final OperatorId INOT_STARTS_WITH

      Does not start with (case insensitive)

    - #### INOT_ENDS_WITH

          public static final OperatorId INOT_ENDS_WITH

      Does not end with (case insensitive)

    - #### IBETWEEN_INCLUSIVE

          public static final OperatorId IBETWEEN_INCLUSIVE

      shortcut for "greaterOrEqual" + "and" + "lessOrEqual" (case insensitive)

    - #### REGEXP

          public static final OperatorId REGEXP

      Regular expression match

    - #### IREGEXP

          public static final OperatorId IREGEXP

      Regular expression match (case insensitive)

    - #### IS_NULL

          public static final OperatorId IS_NULL

      value is null

    - #### NOT_NULL

          public static final OperatorId NOT_NULL

      value is non-null. Note empty string ("") is non-null

    - #### IN_SET

          public static final OperatorId IN_SET

      value is in a set of values. Specify criterion.value as an Array

    - #### NOT_IN_SET

          public static final OperatorId NOT_IN_SET

      value is not in a set of values. Specify criterion.value as an Array

    - #### EQUALS_FIELD

          public static final OperatorId EQUALS_FIELD

      matches another field (match case, specify fieldName as criterion.value)

    - #### NOT_EQUAL_FIELD

          public static final OperatorId NOT_EQUAL_FIELD

      does not match another field (match case, specify fieldName as criterion.value)

    - #### IEQUALS_FIELD

          public static final OperatorId IEQUALS_FIELD

      matches another field (case insensitive, specify fieldName as criterion.value)

    - #### INOT_EQUAL_FIELD

          public static final OperatorId INOT_EQUAL_FIELD

      does not match another field (case insensitive, specify fieldName as criterion.value)

    - #### GREATER_THAN_FIELD

          public static final OperatorId GREATER_THAN_FIELD

      Greater than another field (specify fieldName as criterion.value)

    - #### LESS_THAN_FIELD

          public static final OperatorId LESS_THAN_FIELD

      Less than another field (specify fieldName as criterion.value)

    - #### GREATER_OR_EQUAL_FIELD

          public static final OperatorId GREATER_OR_EQUAL_FIELD

      Greater than or equal to another field (specify fieldName as criterion.value)

    - #### LESS_OR_EQUAL_FIELD

          public static final OperatorId LESS_OR_EQUAL_FIELD

      Less than or equal to another field (specify fieldName as criterion.value)

    - #### CONTAINS_FIELD

          public static final OperatorId CONTAINS_FIELD

      Contains as sub-string (match case) another field value (specify fieldName as criterion.value)

    - #### STARTS_WITH_FIELD

          public static final OperatorId STARTS_WITH_FIELD

      Starts with (match case) another field value (specify fieldName as criterion.value)

    - #### ENDS_WITH_FIELD

          public static final OperatorId ENDS_WITH_FIELD

      Ends with (match case) another field value (specify fieldName as criterion.value)

    - #### ICONTAINS_FIELD

          public static final OperatorId ICONTAINS_FIELD

      Contains as sub-string (case insensitive) another field value (specify fieldName as criterion.value)

    - #### ISTARTS_WITH_FIELD

          public static final OperatorId ISTARTS_WITH_FIELD

      Starts with (case insensitive) another field value (specify fieldName as criterion.value)

    - #### IENDS_WITH_FIELD

          public static final OperatorId IENDS_WITH_FIELD

      Ends with (case insensitive) another field value (specify fieldName as criterion.value)

    - #### NOT_CONTAINS_FIELD

          public static final OperatorId NOT_CONTAINS_FIELD

      Does not contain as sub-string (match case) another field value (specify fieldName as criterion.value)

    - #### NOT_STARTS_WITH_FIELD

          public static final OperatorId NOT_STARTS_WITH_FIELD

      Does not start with (match case) another field value (specify fieldName as criterion.value)

    - #### NOT_ENDS_WITH_FIELD

          public static final OperatorId NOT_ENDS_WITH_FIELD

      Does not end with (match case) another field value (specify fieldName as criterion.value)

    - #### INOT_CONTAINS_FIELD

          public static final OperatorId INOT_CONTAINS_FIELD

      Does not contain as sub-string (case insensitive) another field value (specify fieldName as criterion.value)

    - #### INOT_STARTS_WITH_FIELD

          public static final OperatorId INOT_STARTS_WITH_FIELD

      Does not start with (case insensitive) another field value (specify fieldName as criterion.value)

    - #### INOT_ENDS_WITH_FIELD

          public static final OperatorId INOT_ENDS_WITH_FIELD

      Does not end with (case insensitive) another field value (specify fieldName as criterion.value)

    - #### AND

          public static final OperatorId AND

      all subcriteria (criterion.criteria) are true

    - #### NOT

          public static final OperatorId NOT

      all subcriteria (criterion.criteria) are false

    - #### OR

          public static final OperatorId OR

      at least one subcriteria (criterion.criteria) is true

    - #### BETWEEN

          public static final OperatorId BETWEEN

      shortcut for "greaterThan" + "lessThan" + "and". Specify criterion.start and criterion.end

    - #### BETWEEN_INCLUSIVE

          public static final OperatorId BETWEEN_INCLUSIVE

      shortcut for "greaterOrEqual" + "lessOrEqual" + "and". Specify criterion.start and criterion.end

  - ### Method Detail

    - #### values

          public static OperatorId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperatorId c : OperatorId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperatorId valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`